Create Or Update Chat Starter Settings For A Registered Agent
curl --request PUT \
--url https://{api_endpoint}/v1/orchestrate/agents/{id}/chat-starter-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"starter_prompts": {
"customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
]
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>",
"is_default_voice_greeting": false
},
"icon": "<string>"
}
'import requests
url = "https://{api_endpoint}/v1/orchestrate/agents/{id}/chat-starter-settings"
payload = {
"starter_prompts": { "customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
] },
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>",
"is_default_voice_greeting": False
},
"icon": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
starter_prompts: {
customize: [
{
title: '<string>',
prompt: '<string>',
id: '<string>',
subtitle: '<string>',
state: '<string>'
}
]
},
welcome_content: {
welcome_message: '<string>',
description: '<string>',
is_default_voice_greeting: false
},
icon: '<string>'
})
};
fetch('https://{api_endpoint}/v1/orchestrate/agents/{id}/chat-starter-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent Chat Starter Settings
Create Or Update Chat Starter Settings For A Registered Agent
Create or update chat starter settings for a registered agent.
Create Or Update Chat Starter Settings For A Registered Agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
⌘I

